MPD: FlacMetadataChain Class Reference

MPD 0.20.18

Public Member Functions
FlacMetadataChain Class Reference

`#include <FlacMetadata.hxx>`

## Public Member Functions
| FlacMetadataChain ()
| ~FlacMetadataChain ()
| operator FLAC__Metadata_Chain * ()
bool | Read (const char *path) noexcept
bool | Read (FLAC__IOHandle handle, FLAC__IOCallbacks callbacks) noexcept
bool | Read (InputStream &is) noexcept
bool | ReadOgg (const char *path) noexcept
bool | ReadOgg (FLAC__IOHandle handle, FLAC__IOCallbacks callbacks) noexcept
bool | ReadOgg (InputStream &is)
gcc_pure FLAC__Metadata_ChainStatus | GetStatus () const noexcept
gcc_pure const char * | GetStatusString () const noexcept
void | Scan (const TagHandler &handler, void *handler_ctx)

## Detailed Description

Definition at line 31 of file FlacMetadata.hxx.

## Constructor & Destructor Documentation

## ◆ FlacMetadataChain()

FlacMetadataChain::FlacMetadataChain | ( |  | ) |
| inline

Definition at line 35 of file FlacMetadata.hxx.

## ◆ ~FlacMetadataChain()

FlacMetadataChain::~FlacMetadataChain | ( |  | ) |
| inline

Definition at line 37 of file FlacMetadata.hxx.

## Member Function Documentation

## ◆ GetStatus()

gcc_pure FLAC__Metadata_ChainStatus FlacMetadataChain::GetStatus | ( |  | ) | const
| inlinenoexcept

Definition at line 76 of file FlacMetadata.hxx.

## ◆ GetStatusString()

gcc_pure const char* FlacMetadataChain::GetStatusString | ( |  | ) | const
| inlinenoexcept

Definition at line 81 of file FlacMetadata.hxx.

## ◆ operator FLAC__Metadata_Chain *()

FlacMetadataChain::operator FLAC__Metadata_Chain * | ( |  | ) |
| inlineexplicit

Definition at line 41 of file FlacMetadata.hxx.

## ◆ Read() [1/3]

bool FlacMetadataChain::Read | ( | const char * | path | ) |
| inlinenoexcept

Definition at line 45 of file FlacMetadata.hxx.

## ◆ Read() [2/3]

bool FlacMetadataChain::Read | ( | FLAC__IOHandle | handle,
|  | FLAC__IOCallbacks | callbacks
| ) |  |
| inlinenoexcept

Definition at line 49 of file FlacMetadata.hxx.

## ◆ Read() [3/3]

bool FlacMetadataChain::Read | ( | InputStream & | is | ) |
| inlinenoexcept

Definition at line 56 of file FlacMetadata.hxx.

## ◆ ReadOgg() [1/3]

bool FlacMetadataChain::ReadOgg | ( | const char * | path | ) |
| inlinenoexcept

Definition at line 60 of file FlacMetadata.hxx.

## ◆ ReadOgg() [2/3]

bool FlacMetadataChain::ReadOgg | ( | FLAC__IOHandle | handle,
|  | FLAC__IOCallbacks | callbacks
| ) |  |
| inlinenoexcept

Definition at line 64 of file FlacMetadata.hxx.

## ◆ ReadOgg() [3/3]

bool FlacMetadataChain::ReadOgg | ( | InputStream & | is | ) |
| inline

Definition at line 71 of file FlacMetadata.hxx.

## ◆ Scan()

void FlacMetadataChain::Scan | ( | const TagHandler & | handler,
|  | void * | handler_ctx
| ) |  |

The documentation for this class was generated from the following file:

- decoder/plugins/FlacMetadata.hxx